### Method

# Foundry HoverProvider dup_document

#### Declaration [src]

    FoundryTextDocument*
    foundry_hover_provider_dup_document (
      FoundryHoverProvider* self
    )

#### Description

No description available.

#### Return value

Type: `FoundryTextDocument`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.